#!/bin/sh

set -e

if [ "$(uname -s)" == "Darwin" ]; then
  if [ "$(whoami)" == "root" ]; then
    TARGET_DIR="/Library/Google/Chrome/NativeMessagingHosts"
  else
    TARGET_DIR="$HOME/Library/Application Support/Google/Chrome/NativeMessagingHosts"
  fi
fi

HOST_NAME=ru.speechpad.host
rm "$TARGET_DIR/ru.speechpad.host.json"
echo "Native messaging host $HOST_NAME has been uninstalled."
